org.apache.uima.fit.factory

## Class CollectionReaderFactory

- java.lang.Object
- - org.apache.uima.fit.factory.CollectionReaderFactory

-     public final class CollectionReaderFactory
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CollectionReader` | `createCollectionReader(Class<? extends CollectionReader> readerClass, Object... configurationData)` Deprecated. use `createReader(Class, Object...)`
    `static CollectionReader` | `createCollectionReader(Class<? extends CollectionReader> readerClass, TypeSystemDescription typeSystem, Object... configurationData)` Deprecated. use `createReader(Class, TypeSystemDescription, Object...)`
    `static CollectionReader` | `createCollectionReader(Class<? extends CollectionReader> readerClass, TypeSystemDescription typeSystem, String[] prioritizedTypeNames, Object... configurationData)` Deprecated. use `createReaderDescription(Class, TypeSystemDescription, String[], Object...)`
    `static CollectionReader` | `createCollectionReader(Class<? extends CollectionReader> readerClass, TypeSystemDescription typeSystem, TypePriorities typePriorities, Object... configurationData)` Deprecated. use `createReader(Class, TypeSystemDescription, TypePriorities, Object...)`
    `static CollectionReader` | `createCollectionReader(CollectionReaderDescription desc, Object... configurationData)` Deprecated. use `createReader(CollectionReaderDescription, Object...)`
    `static CollectionReader` | `createCollectionReader(String descriptorName, Object... configurationData)` Deprecated. use `createReader(String, Object...)`
    `static CollectionReaderDescription` | `createCollectionReaderDescriptionFromPath(String descriptorPath, Object... configurationData)` Deprecated. use `createReaderDescriptionFromPath(String, Object...)`
    `static CollectionReader` | `createCollectionReaderFromPath(String descriptorPath, Object... configurationData)` Deprecated. use `createReaderFromPath(String, Object...)`
    `static CollectionReaderDescription` | `createDescription(Class<? extends CollectionReader> readerClass, Object... configurationData)` Deprecated. use `createReaderDescription(Class, Object...)`
    `static CollectionReaderDescription` | `createDescription(Class<? extends CollectionReader> readerClass, TypeSystemDescription typeSystem, Object... configurationData)` Deprecated. use `createReaderDescription(Class, TypeSystemDescription, Object...)`
    `static CollectionReaderDescription` | `createDescription(Class<? extends CollectionReader> readerClass, TypeSystemDescription typeSystem, String[] prioritizedTypeNames, Object... configurationData)` Deprecated. use `createReaderDescription(Class, TypeSystemDescription, String[], Object...)`
    `static CollectionReaderDescription` | `createDescription(Class<? extends CollectionReader> readerClass, TypeSystemDescription typeSystem, TypePriorities typePriorities, FsIndexCollection indexes, Capability[] capabilities, ConfigurationParameter[] configurationParameters, Object[] configurationValues)` Deprecated. use `createReaderDescription(Class, TypeSystemDescription, TypePriorities, FsIndexCollection, Capability[], ConfigurationParameter[], Object[])`
    `static CollectionReaderDescription` | `createDescription(Class<? extends CollectionReader> readerClass, TypeSystemDescription typeSystem, TypePriorities typePriorities, FsIndexCollection indexes, Capability[] capabilities, ConfigurationParameter[] configurationParameters, Object[] configurationValues, Map<String,ExternalResourceDescription> externalResources)` Deprecated. use `createReaderDescription(Class, TypeSystemDescription, TypePriorities, FsIndexCollection, Capability[], ConfigurationParameter[], Object[], Map)`
    `static CollectionReaderDescription` | `createDescription(Class<? extends CollectionReader> readerClass, TypeSystemDescription typeSystem, TypePriorities typePriorities, FsIndexCollection indexes, Capability[] capabilities, Object... configurationData)` Deprecated. use `createReaderDescription(Class, TypeSystemDescription, TypePriorities, FsIndexCollection, Capability[], Object...)`
    `static CollectionReaderDescription` | `createDescription(Class<? extends CollectionReader> readerClass, TypeSystemDescription typeSystem, TypePriorities typePriorities, Object... configurationData)` Deprecated. use `createReaderDescription(Class, TypeSystemDescription, TypePriorities, Object...)`
    `static CollectionReader` | `createReader(Class<? extends CollectionReader> readerClass, Object... configurationData)` Get a CollectionReader from a CollectionReader class, a type system, and a set of configuration parameters.
    `static CollectionReader` | `createReader(Class<? extends CollectionReader> readerClass, TypeSystemDescription typeSystem, Object... configurationData)` Get a CollectionReader from a CollectionReader class, a type system, and a set of configuration parameters.
    `static CollectionReader` | `createReader(Class<? extends CollectionReader> readerClass, TypeSystemDescription typeSystem, String[] prioritizedTypeNames, Object... configurationData)` Deprecated. use `createReaderDescription(Class, TypeSystemDescription, String[], Object...)`
    `static CollectionReader` | `createReader(Class<? extends CollectionReader> readerClass, TypeSystemDescription typeSystem, TypePriorities typePriorities, Object... configurationData)`
    `static CollectionReader` | `createReader(CollectionReaderDescription desc, Object... configurationData)` This method creates a CollectionReader from a CollectionReaderDescription adding additional configuration parameter data as desired
    `static CollectionReader` | `createReader(String descriptorName, Object... configurationData)` Get a CollectionReader from the name (Java-style, dotted) of an XML descriptor file, and a set of configuration parameters.
    `static CollectionReaderDescription` | `createReaderDescription(Class<? extends CollectionReader> readerClass, Object... configurationData)` A simple factory method for creating a CollectionReaderDescription with a given class, type system description, and configuration data.
    `static CollectionReaderDescription` | `createReaderDescription(Class<? extends CollectionReader> readerClass, TypeSystemDescription typeSystem, Object... configurationData)` A simple factory method for creating a CollectionReaderDescription with a given class, type system description, and configuration data
    `static CollectionReaderDescription` | `createReaderDescription(Class<? extends CollectionReader> readerClass, TypeSystemDescription typeSystem, String[] prioritizedTypeNames, Object... configurationData)`
    `static CollectionReaderDescription` | `createReaderDescription(Class<? extends CollectionReader> readerClass, TypeSystemDescription typeSystem, TypePriorities typePriorities, FsIndexCollection indexes, Capability[] capabilities, ConfigurationParameter[] configurationParameters, Object[] configurationValues)`
    `static CollectionReaderDescription` | `createReaderDescription(Class<? extends CollectionReader> readerClass, TypeSystemDescription typeSystem, TypePriorities typePriorities, FsIndexCollection indexes, Capability[] capabilities, ConfigurationParameter[] configurationParameters, Object[] configurationValues, Map<String,ExternalResourceDescription> externalResources)` The factory method for creating CollectionReaderDescription objects for a given class, TypeSystemDescription, TypePriorities, capabilities, and configuration data
    `static CollectionReaderDescription` | `createReaderDescription(Class<? extends CollectionReader> readerClass, TypeSystemDescription typeSystem, TypePriorities typePriorities, FsIndexCollection indexes, Capability[] capabilities, Object... configurationData)`
    `static CollectionReaderDescription` | `createReaderDescription(Class<? extends CollectionReader> readerClass, TypeSystemDescription typeSystem, TypePriorities typePriorities, Object... configurationData)`
    `static CollectionReaderDescription` | `createReaderDescriptionFromPath(String descriptorPath, Object... configurationData)` Create a CollectionReader from an XML descriptor file and a set of configuration parameters.
    `static CollectionReader` | `createReaderFromPath(String descriptorPath, Object... configurationData)` Create a CollectionReader from an XML descriptor file and a set of configuration parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createReaderFromPath

          public static CollectionReader createReaderFromPath(String descriptorPath,
                                                              Object... configurationData)
                                                       throws ResourceInitializationException,
                                                              InvalidXMLException,
                                                              IOException

      Create a CollectionReader from an XML descriptor file and a set of configuration parameters.
      Parameters:
        `descriptorPath` - The path to the XML descriptor file.
        `configurationData` - Any additional configuration parameters to be set. These should be supplied as (name, value) pairs, so there should always be an even number of parameters.
      Returns:
        The CollectionReader created from the XML descriptor and the configuration parameters.
      Throws:
        `ResourceInitializationException` - if the descriptor could not be created or if the component could not be instantiated
        `InvalidXMLException` - if the descriptor could not be created
        `IOException` - if the descriptor could not be read

    - #### createCollectionReaderFromPath

          @Deprecated
          public static CollectionReader createCollectionReaderFromPath(String descriptorPath,
                                                                                    Object... configurationData)
                                                                             throws ResourceInitializationException,
                                                                                    InvalidXMLException,
                                                                                    IOException

      Deprecated. use `createReaderFromPath(String, Object...)`
      Create a CollectionReader from an XML descriptor file and a set of configuration parameters.
      Parameters:
        `descriptorPath` - The path to the XML descriptor file.
        `configurationData` - Any additional configuration parameters to be set. These should be supplied as (name, value) pairs, so there should always be an even number of parameters.
      Returns:
        The CollectionReader created from the XML descriptor and the configuration parameters.
      Throws:
        `ResourceInitializationException` - if the descriptor could not be created or if the component could not be instantiated
        `InvalidXMLException` - if the descriptor could not be created
        `IOException` - if the descriptor could not be read

    - #### createReaderDescriptionFromPath

          public static CollectionReaderDescription createReaderDescriptionFromPath(String descriptorPath,
                                                                                    Object... configurationData)
                                                                             throws InvalidXMLException,
                                                                                    IOException

      Create a CollectionReader from an XML descriptor file and a set of configuration parameters.
      Parameters:
        `descriptorPath` - The path to the XML descriptor file.
        `configurationData` - Any additional configuration parameters to be set. These should be supplied as (name, value) pairs, so there should always be an even number of parameters.
      Returns:
        the description created from the XML descriptor and the configuration parameters.
      Throws:
        `InvalidXMLException` - if the descriptor could not be created or if the component could not be instantiated
        `IOException` - if the descriptor could not be read

    - #### createCollectionReaderDescriptionFromPath

          @Deprecated
          public static CollectionReaderDescription createCollectionReaderDescriptionFromPath(String descriptorPath,
                                                                                                          Object... configurationData)
                                                                                                   throws InvalidXMLException,
                                                                                                          IOException

      Deprecated. use `createReaderDescriptionFromPath(String, Object...)`
      Create a CollectionReader from an XML descriptor file and a set of configuration parameters.
      Parameters:
        `descriptorPath` - The path to the XML descriptor file.
        `configurationData` - Any additional configuration parameters to be set. These should be supplied as (name, value) pairs, so there should always be an even number of parameters.
      Returns:
        The CollectionReader created from the XML descriptor and the configuration parameters.
      Throws:
        `InvalidXMLException` - if the descriptor could not be created or if the component could not be instantiated
        `IOException` - if the descriptor could not be read

    - #### createReader

          public static CollectionReader createReader(String descriptorName,
                                                      Object... configurationData)
                                               throws IOException,
                                                      ResourceInitializationException,
                                                      InvalidXMLException

      Get a CollectionReader from the name (Java-style, dotted) of an XML descriptor file, and a set of configuration parameters.
      Parameters:
        `descriptorName` - The fully qualified, Java-style, dotted name of the XML descriptor file.
        `configurationData` - Any additional configuration parameters to be set. These should be supplied as (name, value) pairs, so there should always be an even number of parameters.
      Returns:
        The AnalysisEngine created from the XML descriptor and the configuration parameters.
      Throws:
        `ResourceInitializationException` - if the descriptor could not be created or if the component could not be instantiated
        `InvalidXMLException` - if the descriptor could not be created
        `IOException` - if the descriptor could not be read

    - #### createCollectionReader

          @Deprecated
          public static CollectionReader createCollectionReader(String descriptorName,
                                                                            Object... configurationData)
                                                                     throws IOException,
                                                                            ResourceInitializationException,
                                                                            InvalidXMLException

      Deprecated. use `createReader(String, Object...)`
      Get a CollectionReader from the name (Java-style, dotted) of an XML descriptor file, and a set of configuration parameters.
      Parameters:
        `descriptorName` - The fully qualified, Java-style, dotted name of the XML descriptor file.
        `configurationData` - Any additional configuration parameters to be set. These should be supplied as (name, value) pairs, so there should always be an even number of parameters.
      Returns:
        The AnalysisEngine created from the XML descriptor and the configuration parameters.
      Throws:
        `ResourceInitializationException` - if the descriptor could not be created or if the component could not be instantiated
        `InvalidXMLException` - if the descriptor could not be created
        `IOException` - if the descriptor could not be read

    - #### createReader

          public static CollectionReader createReader(Class<? extends CollectionReader> readerClass,
                                                      Object... configurationData)
                                               throws ResourceInitializationException

      Get a CollectionReader from a CollectionReader class, a type system, and a set of configuration parameters. The type system is detected automatically using `TypeSystemDescriptionFactory.createTypeSystemDescription()`.
      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `configurationData` - Any additional configuration parameters to be set. These should be supplied as (name, value) pairs, so there should always be an even number of parameters.
      Returns:
        The CollectionReader created and initialized with the type system and configuration parameters.
      Throws:
        `ResourceInitializationException` - if the component could not be initialized

    - #### createCollectionReader

          @Deprecated
          public static CollectionReader createCollectionReader(Class<? extends CollectionReader> readerClass,
                                                                            Object... configurationData)
                                                                     throws ResourceInitializationException

      Deprecated. use `createReader(Class, Object...)`
      Get a CollectionReader from a CollectionReader class, a type system, and a set of configuration parameters. The type system is detected automatically using `TypeSystemDescriptionFactory.createTypeSystemDescription()`.
      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `configurationData` - Any additional configuration parameters to be set. These should be supplied as (name, value) pairs, so there should always be an even number of parameters.
      Returns:
        The CollectionReader created and initialized with the type system and configuration parameters.
      Throws:
        `ResourceInitializationException` - if the component could not be initialized

    - #### createReader

          public static CollectionReader createReader(Class<? extends CollectionReader> readerClass,
                                                      TypeSystemDescription typeSystem,
                                                      Object... configurationData)
                                               throws ResourceInitializationException

      Get a CollectionReader from a CollectionReader class, a type system, and a set of configuration parameters.
      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `typeSystem` - A description of the types used by the CollectionReader (may be null).
        `configurationData` - Any additional configuration parameters to be set. These should be supplied as (name, value) pairs, so there should always be an even number of parameters.
      Returns:
        The CollectionReader created and initialized with the type system and configuration parameters.
      Throws:
        `ResourceInitializationException` - if the component could not be initialized

    - #### createCollectionReader

          @Deprecated
          public static CollectionReader createCollectionReader(Class<? extends CollectionReader> readerClass,
                                                                            TypeSystemDescription typeSystem,
                                                                            Object... configurationData)
                                                                     throws ResourceInitializationException

      Deprecated. use `createReader(Class, TypeSystemDescription, Object...)`
      Get a CollectionReader from a CollectionReader class, a type system, and a set of configuration parameters.
      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `typeSystem` - A description of the types used by the CollectionReader (may be null).
        `configurationData` - Any additional configuration parameters to be set. These should be supplied as (name, value) pairs, so there should always be an even number of parameters.
      Returns:
        The CollectionReader created and initialized with the type system and configuration parameters.
      Throws:
        `ResourceInitializationException` - if the component could not be initialized

    - #### createReader

          @Deprecated
          public static CollectionReader createReader(Class<? extends CollectionReader> readerClass,
                                                                  TypeSystemDescription typeSystem,
                                                                  String[] prioritizedTypeNames,
                                                                  Object... configurationData)
                                                           throws ResourceInitializationException

      Deprecated. use `createReaderDescription(Class, TypeSystemDescription, String[], Object...)`
      Get a CollectionReader from a CollectionReader class, a type system, and a set of configuration parameters.
      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `typeSystem` - A description of the types used by the CollectionReader (may be null).
        `prioritizedTypeNames` - the type names in order of their priority.
        `configurationData` - Any additional configuration parameters to be set. These should be supplied as (name, value) pairs, so there should always be an even number of parameters.
      Returns:
        The CollectionReader created and initialized with the type system and configuration parameters.
      Throws:
        `ResourceInitializationException` - if the component could not be initialized

    - #### createCollectionReader

          @Deprecated
          public static CollectionReader createCollectionReader(Class<? extends CollectionReader> readerClass,
                                                                            TypeSystemDescription typeSystem,
                                                                            String[] prioritizedTypeNames,
                                                                            Object... configurationData)
                                                                     throws ResourceInitializationException

      Deprecated. use `createReaderDescription(Class, TypeSystemDescription, String[], Object...)`
      Get a CollectionReader from a CollectionReader class, a type system, and a set of configuration parameters.
      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `typeSystem` - A description of the types used by the CollectionReader (may be null).
        `prioritizedTypeNames` - the type names in order of their priority.
        `configurationData` - Any additional configuration parameters to be set. These should be supplied as (name, value) pairs, so there should always be an even number of parameters.
      Returns:
        The CollectionReader created and initialized with the type system and configuration parameters.
      Throws:
        `ResourceInitializationException` - if the component could not be initialized

    - #### createReader

          public static CollectionReader createReader(Class<? extends CollectionReader> readerClass,
                                                      TypeSystemDescription typeSystem,
                                                      TypePriorities typePriorities,
                                                      Object... configurationData)
                                               throws ResourceInitializationException

      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `typeSystem` - A description of the types used by the CollectionReader (may be null).
        `typePriorities` - the type priorities
        `configurationData` - configuration parameter data as name value pairs. Will override values already set in the description.
      Returns:
        The CollectionReader created and initialized with the type system and configuration parameters.
      Throws:
        `ResourceInitializationException` - if the component could not be initialized

    - #### createCollectionReader

          @Deprecated
          public static CollectionReader createCollectionReader(Class<? extends CollectionReader> readerClass,
                                                                            TypeSystemDescription typeSystem,
                                                                            TypePriorities typePriorities,
                                                                            Object... configurationData)
                                                                     throws ResourceInitializationException

      Deprecated. use `createReader(Class, TypeSystemDescription, TypePriorities, Object...)`
      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `typeSystem` - A description of the types used by the CollectionReader (may be null).
        `typePriorities` - the type priorities
        `configurationData` - configuration parameter data as name value pairs. Will override values already set in the description.
      Returns:
        The CollectionReader created and initialized with the type system and configuration parameters.
      Throws:
        `ResourceInitializationException` - if the component could not be initialized

    - #### createReader

          public static CollectionReader createReader(CollectionReaderDescription desc,
                                                      Object... configurationData)
                                               throws ResourceInitializationException

      This method creates a CollectionReader from a CollectionReaderDescription adding additional configuration parameter data as desired
      Parameters:
        `desc` - a descriptor
        `configurationData` - configuration parameter data as name value pairs. Will override values already set in the description.
      Returns:
        The CollectionReader created and initialized with the type system and configuration parameters.
      Throws:
        `ResourceInitializationException` - if the component could not be initialized

    - #### createCollectionReader

          @Deprecated
          public static CollectionReader createCollectionReader(CollectionReaderDescription desc,
                                                                            Object... configurationData)
                                                                     throws ResourceInitializationException

      Deprecated. use `createReader(CollectionReaderDescription, Object...)`
      This method creates a CollectionReader from a CollectionReaderDescription adding additional configuration parameter data as desired
      Parameters:
        `desc` - a descriptor
        `configurationData` - configuration parameter data as name value pairs. Will override values already set in the description.
      Returns:
        The CollectionReader created and initialized with the type system and configuration parameters.
      Throws:
        `ResourceInitializationException` - if the component could not be initialized

    - #### createReaderDescription

          public static CollectionReaderDescription createReaderDescription(Class<? extends CollectionReader> readerClass,
                                                                            Object... configurationData)
                                                                     throws ResourceInitializationException

      A simple factory method for creating a CollectionReaderDescription with a given class, type system description, and configuration data. The type system is detected automatically using `TypeSystemDescriptionFactory.createTypeSystemDescription()`. Type priorities are detected automatically using `TypePrioritiesFactory.createTypePriorities()`. Indexes are detected automatically using `FsIndexFactory.createFsIndexCollection()`.
      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `configurationData` - configuration parameter data as name value pairs. Will override values already set in the description.
      Returns:
        the description created from the default parameters specified in the class and the configuration parameters
      Throws:
        `ResourceInitializationException` - if the descriptor could not be set up

    - #### createDescription

          @Deprecated
          public static CollectionReaderDescription createDescription(Class<? extends CollectionReader> readerClass,
                                                                                  Object... configurationData)
                                                                           throws ResourceInitializationException

      Deprecated. use `createReaderDescription(Class, Object...)`
      A simple factory method for creating a CollectionReaderDescription with a given class, type system description, and configuration data The type system is detected automatically using `TypeSystemDescriptionFactory.createTypeSystemDescription()`.
      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `configurationData` - configuration parameter data as name value pairs. Will override values already set in the description.
      Returns:
        the description created from the default parameters specified in the class and the configuration parameters
      Throws:
        `ResourceInitializationException` - if the descriptor could not be set up

    - #### createReaderDescription

          public static CollectionReaderDescription createReaderDescription(Class<? extends CollectionReader> readerClass,
                                                                            TypeSystemDescription typeSystem,
                                                                            Object... configurationData)
                                                                     throws ResourceInitializationException

      A simple factory method for creating a CollectionReaderDescription with a given class, type system description, and configuration data
      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `typeSystem` - A description of the types used by the CollectionReader (may be null).
        `configurationData` - configuration parameter data as name value pairs. Will override values already set in the description.
      Returns:
        the description created from the default parameters specified in the class and the configuration parameters
      Throws:
        `ResourceInitializationException` - if the descriptor could not be set up

    - #### createDescription

          @Deprecated
          public static CollectionReaderDescription createDescription(Class<? extends CollectionReader> readerClass,
                                                                                  TypeSystemDescription typeSystem,
                                                                                  Object... configurationData)
                                                                           throws ResourceInitializationException

      Deprecated. use `createReaderDescription(Class, TypeSystemDescription, Object...)`
      A simple factory method for creating a CollectionReaderDescription with a given class, type system description, and configuration data
      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `typeSystem` - A description of the types used by the CollectionReader (may be null).
        `configurationData` - configuration parameter data as name value pairs. Will override values already set in the description.
      Returns:
        the description created from the default parameters specified in the class and the configuration parameters
      Throws:
        `ResourceInitializationException` - if the descriptor could not be set up

    - #### createReaderDescription

          public static CollectionReaderDescription createReaderDescription(Class<? extends CollectionReader> readerClass,
                                                                            TypeSystemDescription typeSystem,
                                                                            String[] prioritizedTypeNames,
                                                                            Object... configurationData)
                                                                     throws ResourceInitializationException

      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `typeSystem` - A description of the types used by the CollectionReader (may be null).
        `prioritizedTypeNames` - the type names in order of their priority.
        `configurationData` - configuration parameter data as name value pairs. Will override values already set in the description.
      Returns:
        the description created from the default parameters specified in the class and the configuration parameters
      Throws:
        `ResourceInitializationException` - if the descriptor could not be set up

    - #### createDescription

          @Deprecated
          public static CollectionReaderDescription createDescription(Class<? extends CollectionReader> readerClass,
                                                                                  TypeSystemDescription typeSystem,
                                                                                  String[] prioritizedTypeNames,
                                                                                  Object... configurationData)
                                                                           throws ResourceInitializationException

      Deprecated. use `createReaderDescription(Class, TypeSystemDescription, String[], Object...)`
      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `typeSystem` - A description of the types used by the CollectionReader (may be null).
        `prioritizedTypeNames` - the type names in order of their priority.
        `configurationData` - configuration parameter data as name value pairs. Will override values already set in the description.
      Returns:
        the description created from the default parameters specified in the class and the configuration parameters
      Throws:
        `ResourceInitializationException` - if the descriptor could not be set up

    - #### createReaderDescription

          public static CollectionReaderDescription createReaderDescription(Class<? extends CollectionReader> readerClass,
                                                                            TypeSystemDescription typeSystem,
                                                                            TypePriorities typePriorities,
                                                                            Object... configurationData)
                                                                     throws ResourceInitializationException

      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `typeSystem` - A description of the types used by the CollectionReader (may be null).
        `typePriorities` - the type priorities
        `configurationData` - configuration parameter data as name value pairs. Will override values already set in the description.
      Returns:
        the description created from the default parameters specified in the class and the configuration parameters
      Throws:
        `ResourceInitializationException` - if the descriptor could not be set up

    - #### createDescription

          @Deprecated
          public static CollectionReaderDescription createDescription(Class<? extends CollectionReader> readerClass,
                                                                                  TypeSystemDescription typeSystem,
                                                                                  TypePriorities typePriorities,
                                                                                  Object... configurationData)
                                                                           throws ResourceInitializationException

      Deprecated. use `createReaderDescription(Class, TypeSystemDescription, TypePriorities, Object...)`
      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `typeSystem` - A description of the types used by the CollectionReader (may be null).
        `typePriorities` - the type priorities
        `configurationData` - configuration parameter data as name value pairs. Will override values already set in the description.
      Returns:
        the description created from the default parameters specified in the class and the configuration parameters
      Throws:
        `ResourceInitializationException` - if the descriptor could not be set up

    - #### createReaderDescription

          public static CollectionReaderDescription createReaderDescription(Class<? extends CollectionReader> readerClass,
                                                                            TypeSystemDescription typeSystem,
                                                                            TypePriorities typePriorities,
                                                                            FsIndexCollection indexes,
                                                                            Capability[] capabilities,
                                                                            Object... configurationData)
                                                                     throws ResourceInitializationException

      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `typeSystem` - A description of the types used by the CollectionReader (may be null).
        `typePriorities` - the type priorities
        `indexes` - the index definitions
        `capabilities` - the input and output capabilities
        `configurationData` - configuration parameter data as name value pairs. Will override values already set in the description.
      Returns:
        the description created from the default parameters specified in the class and the configuration parameters
      Throws:
        `ResourceInitializationException` - if the descriptor could not be set up

    - #### createDescription

          @Deprecated
          public static CollectionReaderDescription createDescription(Class<? extends CollectionReader> readerClass,
                                                                                  TypeSystemDescription typeSystem,
                                                                                  TypePriorities typePriorities,
                                                                                  FsIndexCollection indexes,
                                                                                  Capability[] capabilities,
                                                                                  Object... configurationData)
                                                                           throws ResourceInitializationException

      Deprecated. use `createReaderDescription(Class, TypeSystemDescription, TypePriorities, FsIndexCollection, Capability[], Object...)`
      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `typeSystem` - A description of the types used by the CollectionReader (may be null).
        `typePriorities` - the type priorities
        `indexes` - the index definitions
        `capabilities` - the input and output capabilities
        `configurationData` - configuration parameter data as name value pairs. Will override values already set in the description.
      Returns:
        the description created from the default parameters specified in the class and the configuration parameters
      Throws:
        `ResourceInitializationException` - if the descriptor could not be set up

    - #### createReaderDescription

          public static CollectionReaderDescription createReaderDescription(Class<? extends CollectionReader> readerClass,
                                                                            TypeSystemDescription typeSystem,
                                                                            TypePriorities typePriorities,
                                                                            FsIndexCollection indexes,
                                                                            Capability[] capabilities,
                                                                            ConfigurationParameter[] configurationParameters,
                                                                            Object[] configurationValues)
                                                                     throws ResourceInitializationException

      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `typeSystem` - A description of the types used by the CollectionReader (may be null).
        `typePriorities` - the type priorities
        `indexes` - the index definitions
        `capabilities` - the input and output capabilities
        `configurationParameters` - the configuration parameters
        `configurationValues` - the configuration values associated with the parameters
      Returns:
        the description created from the default parameters specified in the class and the configuration parameters
      Throws:
        `ResourceInitializationException` - if the descriptor could not be set up

    - #### createDescription

          @Deprecated
          public static CollectionReaderDescription createDescription(Class<? extends CollectionReader> readerClass,
                                                                                  TypeSystemDescription typeSystem,
                                                                                  TypePriorities typePriorities,
                                                                                  FsIndexCollection indexes,
                                                                                  Capability[] capabilities,
                                                                                  ConfigurationParameter[] configurationParameters,
                                                                                  Object[] configurationValues)
                                                                           throws ResourceInitializationException

      Deprecated. use `createReaderDescription(Class, TypeSystemDescription, TypePriorities, FsIndexCollection, Capability[], ConfigurationParameter[], Object[])`
      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `typeSystem` - A description of the types used by the CollectionReader (may be null).
        `typePriorities` - the type priorities
        `indexes` - the index definitions
        `capabilities` - the input and output capabilities
        `configurationParameters` - the configuration parameters
        `configurationValues` - the configuration values associated with the parameters
      Returns:
        the description created from the default parameters specified in the class and the configuration parameters
      Throws:
        `ResourceInitializationException` - if the descriptor could not be set up

    - #### createReaderDescription

          public static CollectionReaderDescription createReaderDescription(Class<? extends CollectionReader> readerClass,
                                                                            TypeSystemDescription typeSystem,
                                                                            TypePriorities typePriorities,
                                                                            FsIndexCollection indexes,
                                                                            Capability[] capabilities,
                                                                            ConfigurationParameter[] configurationParameters,
                                                                            Object[] configurationValues,
                                                                            Map<String,ExternalResourceDescription> externalResources)
                                                                     throws ResourceInitializationException

      The factory method for creating CollectionReaderDescription objects for a given class, TypeSystemDescription, TypePriorities, capabilities, and configuration data
      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `typeSystem` - A description of the types used by the CollectionReader (may be null).
        `typePriorities` - the type priorities
        `indexes` - the index definitions
        `capabilities` - the input and output capabilities
        `configurationParameters` - the configuration parameters
        `configurationValues` - the configuration values associated with the parameters
        `externalResources` - the external resources
      Returns:
        the description created from the default parameters specified in the class and the configuration parameters
      Throws:
        `ResourceInitializationException` - if the descriptor could not be set up

    - #### createDescription

          @Deprecated
          public static CollectionReaderDescription createDescription(Class<? extends CollectionReader> readerClass,
                                                                                  TypeSystemDescription typeSystem,
                                                                                  TypePriorities typePriorities,
                                                                                  FsIndexCollection indexes,
                                                                                  Capability[] capabilities,
                                                                                  ConfigurationParameter[] configurationParameters,
                                                                                  Object[] configurationValues,
                                                                                  Map<String,ExternalResourceDescription> externalResources)
                                                                           throws ResourceInitializationException

      Deprecated. use `createReaderDescription(Class, TypeSystemDescription, TypePriorities, FsIndexCollection, Capability[], ConfigurationParameter[], Object[], Map)`
      The factory method for creating CollectionReaderDescription objects for a given class, TypeSystemDescription, TypePriorities, capabilities, and configuration data
      Parameters:
        `readerClass` - The class of the CollectionReader to be created.
        `typeSystem` - A description of the types used by the CollectionReader (may be null).
        `typePriorities` - the type priorities
        `indexes` - the index definitions
        `capabilities` - the input and output capabilities
        `configurationParameters` - the configuration parameters
        `configurationValues` - the configuration values associated with the parameters
        `externalResources` - the external resources
      Returns:
        the description created from the default parameters specified in the class and the configuration parameters
      Throws:
        `ResourceInitializationException` - if the descriptor could not be set up

Copyright © 2012–2021 The Apache Software Foundation. All rights reserved.